#include "S42P02.h"
#include "Net/UnrealNetwork.h"

class ADBDPlayer;

void US42P02::OnRep_DiceRandomValue()
{

}

void US42P02::Multicast_OnPlayerScreaming_Implementation(ADBDPlayer* player)
{

}

void US42P02::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(US42P02, _diceRandomValue);
}

US42P02::US42P02()
{
	this->_diceAnimationDuration = 1.000000;
	this->_diceAnimationDelay = 1.000000;
	this->_screamDuration = 2.000000;
	this->_s42p02StatusEffectClass = NULL;
	this->_basicSuccessProgress = 0.010000;
	this->_mediumSuccessProgress = 0.020000;
	this->_criticalSuccessProgress = 0.030000;
	this->_diceMinValue = 1;
	this->_diceMaxValue = 20;
	this->_diceRandomValue = -1;
}
